Is acrobat reader DC the same as reader 8 or 10?

New Here ,
Jan 06, 2020 Jan 06, 2020

Copy link to clipboard

Copied

Hello, I am trying to open a PDF with my adobe acrobat reader dc lastest version.  I am receiving an error msg saying "the document you are trying to load requires adobe reader 8 or higher".  My question is, and forgive my lack of understanding, is reader 8 the same as reader dc?  I'm not sure why the latest version of reader dc can't open the PDF.  

 

When I go to the adobe website to try download reader 8 or 10, it only gives me the reader dc option in the drop down menu.

 

Hope someone can shed some light, thanks

Amy

TOPICS
General troubleshooting

Views

9.4K

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines

correct answers 1 Correct answer

Adobe Community Professional , Jan 06, 2020 Jan 06, 2020
The Google browser doesn't use Acrobat Reader. Open the file in Acrobat Reader, not in Google Chrome!

Likes

Translate

Translate
Adobe Community Professional ,
Jan 06, 2020 Jan 06, 2020

Copy link to clipboard

Copied

Does you open the file in Acrobat Reader or in a browser?

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
New Here ,
Jan 06, 2020 Jan 06, 2020

Copy link to clipboard

Copied

It's giving me the error message that it can't load the file unless I have adobe reader 8 or higher in google browser 

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Adobe Community Professional ,
Jan 06, 2020 Jan 06, 2020

Copy link to clipboard

Copied

The Google browser doesn't use Acrobat Reader.

Open the file in Acrobat Reader, not in Google Chrome!

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
New Here ,
Jan 06, 2020 Jan 06, 2020

Copy link to clipboard

Copied

it worked Bernd! I saved the link as a file (right click) and it opened in Adobe.  Thanks so much!

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Adobe Community Professional ,
Jan 08, 2020 Jan 08, 2020

Copy link to clipboard

Copied

LATEST

"the document you are trying to load requires adobe reader 8 or higher"

 

Latest versions are:

2008 : Adobe Reader 9

2010 : Adobe Reader X (10)

2012 : Adobe Reader XI (11)

2015 : Acrobat Reader DC (for Document Cloud, not for 600), which is a "continuous release".

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines